<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [packetCapture](./bitburner.darknet.packetcapture.md)

## Darknet.packetCapture() method

Spends some time listening for unsecured network traffic on an adjacent server. If you are lucky, the server password may be somewhere in all the noise. The target server must be directly connected to the server that the script is running on.

Using multiple threads speeds up the capture process.

**Signature:**

```typescript
packetCapture(host: string): Promise<DarknetResult & { data: string }>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the server to listen to.


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[DarknetResult](./bitburner.darknetresult.md) &amp; { data: string }&gt;

A promise that resolves to a [DarknetResult](./bitburner.darknetresult.md) object, plus the captured data.

## Remarks

RAM cost: 6 GB

